#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	cpio
Version		:	2.13
Release		:	17.2.0.rel%{?dist}
Summary		:	A GNU archiving program
Group		:	Applications/Archivin

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://ftp.gnu.org/gnu/cpio 

Source0		:	%{name}-%{version}.tar.bz2
Patch0		:	%{name}-%{version}-mutiple-definition.patch

#-----------------------------------------------------------------------------
%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.

#-----------------------------------------------------------------------------
%prep
%setup -q
%patch0 -p1

#---------------------------------------------------------
#building application
%build

autoreconf -vif
export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -pedantic -fno-strict-aliasing -Wall $CFLAGS"
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-rmt="%{_sysconfdir}/rmt"			\
	


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
(cd po && make update-gmo)
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	INSTALL="install -p"				\
	install

%find_lang	%{name}
%{__rm} -fr %{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README THANKS
%{_bindir}/%{name}
%{_infodir}/%{name}*
%{_mandir}/man1/*

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
